import { h } from "@stencil/core";
import { tw } from "../../utils";
const DealerCard = props => {
    const { value } = props;
    const { dealerId, name, vehicles } = value || {};
    const count = vehicles ? vehicles.length : 0;
    return (h("div", { class: tw('flex flex-wrap content-center', 'mb-4 rounded-lg bg-blue-200 p-4', 'border border-solid border-blue-400') }, h("label", { class: "text-xl font-bold" }, name ? `${name} ` : '', h("sup", null, count ? count : '')), h("label", { class: "ml-auto self-center text-right text-sm" }, dealerId ? dealerId : '')));
};
export { DealerCard };
export default DealerCard;
