import { h } from "@stencil/core";
import { DealerView } from "./dealer-view";
import { Eswat2Io } from "./eswat2-io";
import { Footer } from "./footer";
import { Header } from "./header";
import { Spinner } from "./spinner";
import { ToolBar } from "./tool-bar";
import { actions, state, tw } from "../../utils";
// NOTE:  proto-ikon-loader-wc is no longer imported... [ external loader ]
// ------------------------------------------------------ [ main ]
export class ProtoAutos {
    constructor() {
        this.tag = 'proto-autos';
    }
    componentDidLoad() {
        actions.initApp();
    }
    render() {
        const { loading, dealer } = state;
        return (h("main", { key: 'eb918bee95389cd4c78c6a7b3134ada507c5a042', id: "app", class: "ds1-main relative" }, h(Eswat2Io, { key: 'efa617ee04ddd6c58650d1cf4d00f899c3520efa' }), h(Header, { key: '6762516c1c9fc2d4490e9343d75f4f09f657fae6', label: "Auto Dealers" }), h(ToolBar, { key: 'ce1aeeb560729f66726b859d6f9d5a4a410703b1' }), loading ? (h(Spinner, null)) : (h("hr", { class: tw('mb-4 ml-0 mr-0 mt-4', 'border-solid border-gray-300', 'border-b-0 border-l-0 border-r-0') })), h(DealerView, { key: '63ef8ba16a60533a147c06e126442e9f2481f8fe', dealer: dealer }), h(Footer, { key: '00d32c34fcf933386a5e5f920e09f02f95dbfbf1' })));
    }
    static get is() { return "proto-autos"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["proto-autos.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["proto-autos.css"]
        };
    }
    static get properties() {
        return {
            "tag": {
                "type": "string",
                "attribute": "tag",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'proto-autos'"
            }
        };
    }
}
