import { h } from "@stencil/core";
import { actions, state, tw } from "../../utils";
const ToolBar = _props => {
    const { loading, pick, data } = state || {};
    const { list } = data || { list: [] };
    const max = list.length - 1;
    if (loading)
        return '';
    return (h("div", { class: "flex" }, h("div", { class: "refresh hover:text-clrs-red md:w-auto", onClick: () => actions.refresh() }, h("proto-ikon-loader", { name: "refresh", size: 24 })), h("div", { class: tw('ml-auto inline-flex justify-end', 'border border-solid border-gray-600', 'rounded-md') }, list.map((dealer, indx) => (h("button", { class: tw('h-8 w-8 border-none font-bold', indx == 0
            ? 'rounded-bl-md rounded-br-none rounded-tl-md rounded-tr-none'
            : indx == max
                ? 'rounded-bl-none rounded-br-md rounded-tl-none rounded-tr-md'
                : 'rounded-none', pick == indx
            ? 'bg-clrs-red text-white'
            : 'bg-clrs-yellow text-clrs-navy'), onClick: () => actions.updatePick(indx), title: `${dealer.name} (${dealer.vehicles.length})` }, indx + 1))))));
};
export { ToolBar };
export default ToolBar;
