import { h } from "@stencil/core";
import { tw } from "../../utils";
const racingRegex = /^\#[0-9]*/;
const isRacing = (model) => {
    return model.match(racingRegex) != null;
};
const isExotic = (year) => {
    return year === 2554;
};
const isModern = (year) => {
    return year > 2010;
};
const VehicleCard = props => {
    const { vin, make, model, year, color } = props.value || {};
    return (h("div", { class: tw('flex align-middle', 'mb-1 rounded-lg p-4', 'border border-solid', isExotic(year)
            ? 'border-clrs-navy bg-clrs-navy text-clrs-white'
            : isRacing(model)
                ? 'border-yellow-600 bg-yellow-300'
                : isModern(year)
                    ? 'border-green-600 bg-green-200'
                    : 'border-gray-600 bg-gray-300') }, h("div", { class: "mr-1.5 flex flex-col" }, h("label", { class: "mb-2 text-xs" }, vin ? vin : ''), h("label", { class: "text-lg font-bold" }, make ? make : ''), h("label", { class: "mb-2 text-sm italic" }, model ? model : ''), h("label", null, year ? year : '', ", ", color ? color : ''), h("label", null, isExotic(year)
        ? '- exotic... [ Sierra 117 ]'
        : isRacing(model)
            ? '- track only...'
            : '')), h("proto-ikon-loader", { class: "ikon ml-auto self-center", name: make, label: make.toLowerCase() })));
};
export { VehicleCard };
export default VehicleCard;
