const KEY = 'proto-autos';
const DATA = 'data';
const PICK = 'pick';
// Examples:
//   get(DATA)
//   get(PICK)
//
const bag = {
    get: (tag) => {
        const key = tag ? `${KEY}-${tag}` : KEY;
        const json = localStorage.getItem(key);
        return json ? JSON.parse(json) : undefined;
    },
    store: (tag, value) => {
        const key = tag ? `${KEY}-${tag}` : KEY;
        const json = JSON.stringify(value);
        localStorage.setItem(key, json);
    },
};
export { bag, DATA, PICK };
export default bag;
