type Solution = {
    id: string;
    list: Dealer[];
};
type Dealer = {
    dealerId: string;
    name: string;
    vehicles: Vehicle[];
};
type GTForza = {
    year: number;
    make: string;
    model: string;
};
type Vehicle = {
    vin: string;
    year: number;
    make: string;
    model: string;
    color: string;
};
type GroupSummary = {
    makes: string[];
    vins: string[];
    counts: GroupCounts;
};
type GroupCounts = {
    dealers: number;
    makes: number;
    vehicles: number;
};
type AppStore = {
    loading: boolean;
    error: string;
    data: Solution;
    pick: number;
    dealer: Dealer;
};
type DealerViewProps = {
    dealer: Dealer;
};
type VehicleListProps = {
    list: Vehicle[];
};
type DealerCardProps = {
    value: Dealer;
};
type HeaderProps = {
    label: string;
};
type IconProps = {
    hex?: string;
    class?: string;
    label?: string;
    size?: number;
};
type VehicleCardProps = {
    value: Vehicle;
};
export type { Solution, Dealer, Vehicle, GTForza, GroupSummary, GroupCounts, AppStore, DealerViewProps, VehicleListProps, DealerCardProps, HeaderProps, IconProps, VehicleCardProps, };
